Skip to content
GAMPEONCreate
New project

Profile picture, cover, logo or key art

GET
/v1/media/{file}
curl --request GET \
--url https://api.gampeon.com/v1/media/example

Only delivered while the image is current and not removed by moderation. Cached for 10 minutes.

file
required
string

<32 hex characters>.<png|jpg|webp>, from an image path like avatar or cover

The image

Media typeimage/*
string format: binary

Error codes: not_found

Media typeapplication/json
object
error
required

Machine-readable error code, for example not_found or rate_limited.

string
message

Human-readable detail. Only present for some errors.

string

Example generated

{
"error": "example",
"message": "example"
}

Error codes: storage_disabled

Media typeapplication/json
object
error
required

Machine-readable error code, for example not_found or rate_limited.

string
message

Human-readable detail. Only present for some errors.

string

Example generated

{
"error": "example",
"message": "example"
}

Report a problem with this pageOther ways to give feedback